<script lang="ts">
import FeaturesCategories from './features-categories.vue';

export default {
  name: 'FeaturesCopyMedia',
  components: { FeaturesCategories },
  props: {
    data: {
      type: Object,
      required: true,
    },
    features: {
      type: Array,
      required: false,
    },
    external: {
      type: Boolean,
      required: false,
      default: false,
    },
  },
};
</script>

<template>
  <SlpContainer
    class="features-cm"
    :data-aos="data.aos_animation"
    :data-aos-duration="data.aos_duration"
  >
    <SlpRow>
      <SlpColumn :cols="6" class="features-cm__copy">
        <div class="features-cm__header">
          <SlpIcon
            v-if="data.icon"
            class="slp-mr-16"
            :name="data.icon.name"
            :alt="data.icon.alt"
            size="md"
            :variant="data.icon.variant"
          />
          <SlpTypography v-if="data.header" tag="h2" variant="heading3-bold"
            >{{ data.header }}
          </SlpTypography>
        </div>
        <SlpTypography
          v-if="data.subtitle"
          class="slp-mb-24"
          tag="p"
          variant="body2"
          >{{ data.subtitle }}
        </SlpTypography>
        <SlpTypography
          v-if="data.text"
          class="slp-mb-32"
          tag="p"
          variant="body2"
          >{{ data.text }}
        </SlpTypography>
        <FeaturesCategories
          v-if="data.image"
          :features="features"
          :tab-title="data.header"
          :external="external"
        />
      </SlpColumn>
      <SlpColumn :cols="1"></SlpColumn>
      <SlpColumn :cols="5">
        <div class="features-cm__media">
          <nuxt-img
            v-if="data.image"
            class="features-cm__media__image"
            :src="data.image.url"
            :alt="data.image.alt"
            loading="lazy"
          />
          <FeaturesCategories
            v-else
            :external="external"
            class="slp-mt-64"
            :features="features"
          />
        </div>
      </SlpColumn>
    </SlpRow>
  </SlpContainer>
</template>

<style scoped lang="scss">
.features-cm {
  padding: 0;
  margin-bottom: $spacing-32;

  @media (min-width: $breakpoint-md) {
    padding: $spacing-8;
  }

  &__copy {
    padding-right: $spacing-16;
  }

  &__header {
    margin-bottom: $spacing-24;
    display: flex;
    align-items: center;
  }

  &__media {
    display: none;

    @media (min-width: $breakpoint-md) {
      display: flex;
    }

    &__image {
      max-width: 100%;
      padding: $spacing-16 0;
    }
  }
}
</style>
